KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataHotSpot Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Enumerations
Units | { Fraction, Pixels, InsetPixels }
## Methods
| __init__ (self, QPointF hotSpot=QPointF(0.5,0.5), Marble.GeoDataHotSpot.Units xunits=Marble.GeoDataHotSpot.Fraction, Marble.GeoDataHotSpot.Units yunits=Marble.GeoDataHotSpot.Fraction)
| __init__ (self, Marble.GeoDataHotSpot a0)
QPointF | hotSpot (self, Marble.GeoDataHotSpot.Units xunits, Marble.GeoDataHotSpot.Units yunits)
| pack (self, QDataStream stream)
| setHotSpot (self, QPointF hotSpot=QPointF(0.5,0.5), Marble.GeoDataHotSpot.Units xunits=Marble.GeoDataHotSpot.Fraction, Marble.GeoDataHotSpot.Units yunits=Marble.GeoDataHotSpot.Fraction)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( | self, |
|  | QPointF | hotSpot=QPointF(0.5,0.5),
|  | Marble.GeoDataHotSpot.Units | xunits=Marble.GeoDataHotSpot.Fraction,
|  | Marble.GeoDataHotSpot.Units | yunits=Marble.GeoDataHotSpot.Fraction
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataHotSpot | a0
| ) |  |  |

QPointF hotSpot | ( | self, |
|  | Marble.GeoDataHotSpot.Units | xunits,
|  | Marble.GeoDataHotSpot.Units | yunits
| ) |  |  |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the contents of the feature to stream.

setHotSpot | ( | self, |
|  | QPointF | hotSpot=QPointF(0.5,0.5),
|  | Marble.GeoDataHotSpot.Units | xunits=Marble.GeoDataHotSpot.Fraction,
|  | Marble.GeoDataHotSpot.Units | yunits=Marble.GeoDataHotSpot.Fraction
| ) |  |  |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the contents of the feature from stream.

## Enumeration Documentation

Units

Enumerator:

  Fraction |
  Pixels |
  InsetPixels |